Index: PostgreSqlDotnetCore/Controllers/BlogController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -11,72 +11,19 @@
     {
         public BlogController(UserManager<IdentityUser> userManager) : base(userManager)
-
-        {
-
+        {
         }
 
         // GET: Customer
-        /* public async Task<ActionResult> IndexAsync()
-         {
-             // check for permission
-             bool isAuthenticated = User.Identity.IsAuthenticated;
-             if (!isAuthenticated)
-             {
-                 return RedirectToAction("AccessDenied", "Error");
-             }
-             //return View(Enumerable.Empty<UsersClass>());
-             return View(db.BlogPostControllerObj.ToList());
-         }
-        */
-
-        /* public async Task<ActionResult> Index()
-         {
-             // Проверка за автентикација
-             bool isAuthenticated = User.Identity.IsAuthenticated;
-
-             if (!isAuthenticated)
-             {
-                 return RedirectToAction("AccessDenied", "Error");
-             }
-
-             // Список на блог постови
-             var blogPosts = await db.BlogPostControllerObj.ToListAsync();
-
-             // Предавање на ViewBag за проверка на автентикација
-             ViewBag.isAuthenticated = isAuthenticated;
-
-             return View(blogPosts);
-         }*/
-
-        public async Task<ActionResult> Index()
-        {
-            // Проверка за автентикација
+        public async Task<ActionResult> IndexAsync()
+        {
+            // check for permission
             bool isAuthenticated = User.Identity.IsAuthenticated;
-
             if (!isAuthenticated)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-
-            // Список на блог постови
-            var blogPosts = await db.BlogUsers.ToListAsync();
-
-            // Вземи тековниот корисник
-            var currentUser = await _userManager.GetUserAsync(User);
-            var customerClass = await db.CustomerObj.SingleOrDefaultAsync(x => x.email == currentUser.Email);
-
-            // Предавање на ViewBag за проверка на автентикација и корисничкиот ID
-            ViewBag.isAuthenticated = isAuthenticated;
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            ViewBag.CurrentUserId = customerClass?.id;
-
-            return View(blogPosts);
-        }
-
-
-
-
+            //return View(Enumerable.Empty<UsersClass>());
+            return View(db.BlogPostControllerObj.ToList());
+        }
 
         // GET: Customer/Details/5
@@ -89,6 +36,4 @@
             }
             BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
-            UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = customerClass;
             if (blogClass == null)
             {
@@ -99,11 +44,9 @@
             // query
             var query = from st in db.BlogPostAnswersObj
-                        where st.BlogPostConsultationid == blogClass.id
+                        where st.blogpostconsultationid == blogClass.id
                         select st;
             //elenaaa
             var blogAnswers = query.ToList();
             blogClass.BlogPostAnswers = blogAnswers;
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-            ViewBag.CurrentUserId = customerClass?.id;
             return View(blogClass);
         }
@@ -115,22 +58,13 @@
         //}
 
-        /* public ActionResult Create()
-         {
-             var model = new BlogPostConsultation();
-             return View(model);
-         }*/
-
-        public async Task<ActionResult> CreateAsync()
-        {
-
-            // check for permission
-            //UsersClass customerClass = await checkAuthorizationAsync();
-           // ViewBag.isAuthenticated = await getCrrentUser();
-           UsersClass customerClass = await getCrrentUser();
-            // set if is authenticated
-            ViewBag.isAuthenticated = customerClass;
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            return View();
+        public ActionResult Create()
+        {
+            var model = new BlogPostConsultation
+            {
+                //date_askes = DateTime.Now // Поставете го датумот на моменталниот датум
+                // date_askes= DateTime.UtcNow.Date
+                date_askes = DateOnly.FromDateTime(DateTime.UtcNow.Date)
+            };
+            return View(model);
         }
 
@@ -149,17 +83,11 @@
                     var user = await _userManager.GetUserAsync(User);
                     var customerClass = db.CustomerObj.SingleOrDefault(x => x.email == user.Email);
-                   //dodadeno na 25.08
-                    ViewBag.isAuthenticated = await getCrrentUser();
-                    if (customerClass != null)
-                    {
-                        // Поставете users_id на идентификаторот на корисникот
-                        blogClass.users_id = customerClass.id;
-                        //blogClass.date_askes = DateOnly.FromDateTime(DateTime.UtcNow); 
-                        blogClass.date_askes = DateOnly.FromDateTime(DateTime.Now); // Ова ќе стави локално време
-
-                        db.BlogPostControllerObj.Add(blogClass);
-                        await db.SaveChangesAsync();
-                        return RedirectToAction("Index");
-                    }
+                    // blogClass.date_askes = new DateTime();
+                    // blogClass.date_askes = DateTime.UtcNow;
+                    blogClass.date_askes = DateOnly.FromDateTime(DateTime.UtcNow);
+                    blogClass.users_id = customerClass.id;
+                    db.BlogPostControllerObj.Add(blogClass);
+                    db.SaveChanges();
+                return RedirectToAction("Index");
                 }
                 else
@@ -171,10 +99,4 @@
             return View(blogClass);
         }
-
-
-
-
-
-
 
         // GET: Customer/Edit/5
@@ -192,9 +114,6 @@
             }
 
-            // izbriseno na 26.08
-           UsersClass customerClass = await checkAuthorizationAsync();
-            //dodadeno na 26.08
-           // UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-            ViewBag.isAuthenticated = await getCrrentUser();
+            // check for permission
+            UsersClass customerClass = await checkAuthorizationAsync();
             if (customerClass == null)
             {
@@ -211,8 +130,4 @@
                 }
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-            ViewBag.OnlyAdminManager1 = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
 
             return View(blogClass);
@@ -224,56 +139,28 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        /* public ActionResult Edit([Bind(include: "id,date_askes,title,description,users_id")] BlogPostConsultation blogClass)
-         {
-             if (ModelState.IsValid)
-             {
-                 db.Entry(blogClass).State = EntityState.Modified;
-                 db.SaveChanges();
-                 return RedirectToAction("Index");
-             }
-             return View(blogClass);
-         }*/
-
-
-        public async Task<ActionResult> EditAsync(int id, [Bind(include: "id,date_askes,title,description")] BlogPostConsultation blogClass)
+        public ActionResult Edit([Bind(include: "id,date_askes,title,description,users_id")] BlogPostConsultation blogClass)
         {
             if (ModelState.IsValid)
             {
-                var existingBlogClass = await db.BlogPostControllerObj.FindAsync(id);
-                if (existingBlogClass != null)
-                {
-                    
-
-                    // Запамтете ја старата вредност на users_id
-                    blogClass.users_id = existingBlogClass.users_id;
-
-                    db.Entry(existingBlogClass).CurrentValues.SetValues(blogClass);
-                    await db.SaveChangesAsync();
-                    return RedirectToAction("Index");
-                }
-            }
-            return View(blogClass);
-        }
-
-
+                db.Entry(blogClass).State = EntityState.Modified;
+                db.SaveChanges();
+                return RedirectToAction("Index");
+            }
+            return View(blogClass);
+        }
 
         // GET: Customer/Delete/5
-        
         public async Task<ActionResult> DeleteAsync(int? id)
-        {
-            //  UsersClass customerClass = await checkAuthorizationAsync();
-
-            ViewBag.isAuthenticated = await getCrrentUser();
-
+        { 
             if (id == null)
+           {
+               return View(null);
+              //return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
+            }
+           BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
+            if (blogClass == null)
             {
                 return View(null);
-                //return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
-            }
-            BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
-            if (blogClass == null)
-            {
-                return View(null);
-                //return HttpNotFound();
+               //return HttpNotFound();
             }
             // check for permission
@@ -293,24 +180,9 @@
                 }
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            return View(blogClass);
-        }
-
+            return View(blogClass);
+        }
 
         // POST: Customer/Delete/5
-
-        /*
-                [HttpPost, ActionName("Delete")]
-                [ValidateAntiForgeryToken]
-                public ActionResult DeleteConfirmed(int id)
-                {
-                    BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
-                    db.BlogPostControllerObj.Remove(blogClass);
-                    db.SaveChanges();
-                    return RedirectToAction("Index");
-                }
-                */
+     
 
         [HttpPost, ActionName("Delete")]
@@ -318,41 +190,9 @@
         public ActionResult DeleteConfirmed(int id)
         {
-            // Наоѓање на објектот по ID
             BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
-
-            // Проверка дали објектот е пронајден
-            if (blogClass == null)
-            {
-                // Ако објектот не е пронајден, враќаме 404 Not Found или друга соодветна акција
-                return View(null);
-            }
-            //  prvo izbrisi gi site odgovori po sot BlogId e primaren kluc vo drugata tabela
-
-            // query
-            var query = from st in db.BlogPostAnswersObj
-                        where st.BlogPostConsultationid == blogClass.id
-                        select st;
-            //elenaaa
-            var blogAnswers = query.ToList();
-            foreach (BlogPostAnswers answerClass in blogAnswers)
-            {
-                db.BlogPostAnswersObj.Remove(answerClass);
-                db.SaveChanges();
-
-            }
-
-            // Отстранување на објектот ако е пронајден
             db.BlogPostControllerObj.Remove(blogClass);
             db.SaveChanges();
-
-            // Пренасочување на корисникот кон Index страницата
             return RedirectToAction("Index");
         }
-
-        // GET: Customer/Delete/5
-        // GET: Customer/Delete/5
-        // GET: Customer/Delete/5
-
-
 
         protected override void Dispose(bool disposing)
Index: PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -14,22 +14,12 @@
 
         // GET: Customer
-        //public ActionResult Index()
-         public async Task<ActionResult> IndexAsync()
-         {
-             //return View(Enumerable.Empty<UsersClass>());
-             UsersClass customerClass = await getCrrentUser();
-
-             // set if is authenticated
-             ViewBag.isAuthenticated = customerClass;
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
+        public ActionResult Index()
+        {
+            //return View(Enumerable.Empty<UsersClass>());
             return View(db.BlogPostAnswersObj.ToList());
         }
 
-
-
-
         // GET: Customer/Details/5
-        // public ActionResult Details(int? id)
-        public async Task<ActionResult> Details(int? id)
+        public ActionResult Details(int? id)
         {
             if (id == null)
@@ -37,6 +27,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            UsersClass customerClass = await getCrrentUser(); // Добијте ја тековната улога на корисникот
-            ViewBag.isAuthenticated = customerClass;
             BlogPostAnswers answerClass = db.BlogPostAnswersObj.Find(id);
             if (answerClass == null)
@@ -44,15 +32,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-
-
-            // query
-            var query = from st in db.BlogPostAnswersObj
-                        where st.parent_id == answerClass.id
-                        select st;
-            //elenaaa
-            var answersUnderA = query.Where(x => x.id != answerClass.id).ToList();
-
-            answerClass.blogPostAnswers = answersUnderA;
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
             return View(answerClass);
         }
@@ -69,12 +46,8 @@
             // check for permission
             UsersClass customerClass = await checkAuthorizationAsync();
-           // UsersClass customerClass = await getCrrentUser();
-            // set if is authenticated
-            ViewBag.isAuthenticated = customerClass;
             if (customerClass == null)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
             return View();
         }
@@ -85,37 +58,12 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> CreateAsync(int? id, int? parentId, [Bind(include: "reply")] BlogPostAnswers answerClass)
+        public ActionResult Create([Bind(include: "id,parent_id,reply,root_post,usersID")] BlogPostAnswers answerClass)
         {
-
-            //string id = Request.Query["BlogId"];
-            if (id == null && id > 0)
+            if (ModelState.IsValid)
             {
-                return RedirectToAction("NotExist", "Error");
-            }
-            //string id = Request.Query["BlogId"];
-            if (parentId== null && parentId > 0)
-            {
-                return RedirectToAction("NotExist", "Error");
-            }
-            if (answerClass != null && answerClass.reply.Length > 0)
-            {
-
-                var user = await _userManager.GetUserAsync(User);
-                if (user == null)
-                {
-                    return RedirectToAction("AccessDenied", "Error");
-                }
-
-
-                var customerClass = db.CustomerObj.SingleOrDefault(x => x.email == user.Email);
-                answerClass.usersid = customerClass.id;
-                answerClass.BlogPostConsultationid = (int)id;
-                answerClass.parent_id = (int)parentId;
                 db.BlogPostAnswersObj.Add(answerClass);
                 db.SaveChanges();
-                //return RedirectToAction("Index");
-                return RedirectToAction("Details", "Blog", new { id });
+                return RedirectToAction("Index");
             }
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
 
             return View(answerClass);
@@ -155,17 +103,11 @@
         public ActionResult Edit([Bind(include: "id,parent_id,reply,root_post,usersID")] BlogPostAnswers answerClass)
         {
-
-            BlogPostAnswers answerClassDB = db.BlogPostAnswersObj.Find(answerClass.id);
-            if (answerClassDB != null && !answerClassDB.reply.Equals(answerClass.reply))
+            if (ModelState.IsValid)
             {
-                answerClassDB.reply = answerClass.reply;
-                answerClassDB.parent_id = answerClass.parent_id;
-                db.Entry(answerClassDB).State = EntityState.Modified;
+                db.Entry(answerClass).State = EntityState.Modified;
                 db.SaveChanges();
-                //return RedirectToAction("Index");
-                int id = answerClassDB.BlogPostConsultationid;
-                return RedirectToAction("Details", "Blog", new { id });
+                return RedirectToAction("Index");
             }
-            return View(answerClassDB);
+            return View(answerClass);
         }
 
@@ -173,5 +115,4 @@
         public async Task<ActionResult> DeleteAsync(int? id)
         {
-          
             if (id == null)
             {
@@ -194,6 +135,5 @@
                 }
             }
-            // return View(answerClass);
-             return View(answerClass);
+            return View(answerClass);
         }
 
Index: PostgreSqlDotnetCore/Controllers/CityController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/CityController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/CityController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,39 +19,14 @@
             // check for permission
             UsersClass customerClass = await checkAuthorizationAsync();
-            ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
-
             if (customerClass == null)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-
-            var citiess = await db.CitiesObj.ToListAsync();
-            // проба на 23.08
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            return View(citiess);
+            //return View(Enumerable.Empty<UsersClass>());
+            return View(db.CitiesObj.ToList());
         }
 
-
-
-
-        /* public async Task<ActionResult> IndexAsync()
-         {
-             // check for permission
-             UsersClass customerClass = await checkAuthorizationAsync();
-             if (customerClass == null)
-             {
-                 return RedirectToAction("AccessDenied", "Error");
-             }
-             //return View(Enumerable.Empty<UsersClass>());
-             return View(db.CitiesObj.ToList());
-         }
-        */
-
-
-
         // GET: Customer/Details/5
-        //public ActionResult Details(int? id)
-        public async Task<ActionResult> Details(int? id)
+        public ActionResult Details(int? id)
         {
             if (id == null)
@@ -60,13 +35,8 @@
             }
             CitiesClass cityClass = db.CitiesObj.Find(id);
-            UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = customerClass;
             if (cityClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(cityClass);
         }
@@ -78,11 +48,7 @@
         //}
 
-        //public ActionResult Create()
-        public async Task<ActionResult> CreateAsync()
+        public ActionResult Create()
         {
-            UsersClass customerClass = await getCrrentUser();
-            // set if is authenticated
-            ViewBag.isAuthenticated = customerClass;
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
+            
             return View();
         }
@@ -95,5 +61,4 @@
         public ActionResult Create([Bind(include: "id,name")] CitiesClass cityClass)
         {
-
             if (ModelState.IsValid)
             {
@@ -107,6 +72,5 @@
 
         // GET: Customer/Edit/5
-        //  public ActionResult Edit(int? id)
-        public async Task<ActionResult> Edit(int? id)
+        public ActionResult Edit(int? id)
         {
             if (id == null)
@@ -115,13 +79,8 @@
             }
             CitiesClass cityClass = db.CitiesObj.Find(id);
-            //22.08
-            ViewBag.isAuthenticated = await getCrrentUser();
             if (cityClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(cityClass);
         }
@@ -144,11 +103,6 @@
 
         // GET: Customer/Delete/5
-        // public ActionResult Delete(int? id)
-        public async Task<ActionResult> Delete(int? id)
+        public ActionResult Delete(int? id)
         {
-
-            UsersClass customerClass = await checkAuthorizationAsync();
-
-            ViewBag.isAuthenticated = await getCrrentUser();
             if (id == null)
             {
@@ -160,7 +114,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(cityClass);
         }
@@ -185,8 +136,4 @@
             base.Dispose(disposing);
         }
-
-
-
-
     }
 }
Index: PostgreSqlDotnetCore/Controllers/CustomerController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/CustomerController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/CustomerController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,11 +19,5 @@
         public async Task<ActionResult> IndexAsync()
         {
-           UsersClass customerClass = await getCrrentUser();
-           
-            ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
-            ViewBag.CanCreate = customerClass.role_id == RoleConstants.Admin || customerClass.role_id == RoleConstants.Manager;
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
+            UsersClass customerClass = await getCrrentUser();
             if (customerClass == null)
             {
@@ -32,5 +26,4 @@
             if (customerClass.role_id == RoleConstants.Standard)
             {
-                // searching from DB 
                 
                 var query = from st in db.CustomerObj
@@ -47,6 +40,5 @@
                 return View(db.CustomerObj.ToList());
             }
-
-
+          
         }
 
@@ -64,5 +56,4 @@
             // check for permission
             UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = customerClass;
             if (customerClass == null)
             {
@@ -75,7 +66,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(customerClass);
         }
@@ -84,17 +72,10 @@
         public async Task<ActionResult> CreateAsync()
         {
-            //ViewBag.CanCreate = customerClass.role_id == RoleConstants.Admin || customerClass.role_id == RoleConstants.Manager;
-
             // check for permission
-            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-            //dodano na 23.08
-            ViewBag.isAuthenticated = await getCrrentUser();
+            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
             if (customerClass == null)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
 
             return View();
@@ -143,5 +124,4 @@
 
             customerClass = db.CustomerObj.Find(id);
-            ViewBag.isAuthenticated = await getCrrentUser();
             if (customerClass == null)
             {
@@ -149,7 +129,4 @@
                 //return HttpNotFound();
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(customerClass);
         }
@@ -181,12 +158,8 @@
             }
             UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = await getCrrentUser();
             if (customerClass == null)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-            
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
             return View(customerClass);
         }
Index: PostgreSqlDotnetCore/Controllers/ErrorController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/ErrorController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/ErrorController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -2,33 +2,16 @@
 {
     using Microsoft.AspNetCore.Http;
-    using Microsoft.AspNetCore.Identity;
     using Microsoft.AspNetCore.Mvc;
-    using PostgreSqlDotnetCore.Models;
-    using System.Threading.Tasks;
 
-    public class ErrorController : BaseController
+    public class ErrorController : Controller
     {
-        public ErrorController(UserManager<IdentityUser> userManager) : base(userManager)
+        // GET: ErrorController
+        public IActionResult AccessDenied()
         {
-
-        }
-        // GET: ErrorController
-        public async Task<IActionResult> AccessDeniedAsync()
-        {
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View();
         }
         // GET: ErrorController
-        public async Task<IActionResult> NotExistAsync()
+        public IActionResult NotExist()
         {
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View();
         }
